Bug 143204 - [PATCH]graphics/plotutils: update to 2.6, add a regression-test target, minor fixes
Summary: [PATCH]graphics/plotutils: update to 2.6, add a regression-test target, minor...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-25 07:20 UTC by bf
Modified: 2010-01-26 14:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.38 KB, patch)
2010-01-25 07:20 UTC, bf
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2010-01-25 07:20:02 UTC
update to 2.6; respect CPPFLAGS/LDFLAGS; to be on the safe side, patch a few memory leaks that will rarely be encountered, if at all; add a regression-test target.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-01-25 07:20:09 UTC
Maintainer of graphics/plotutils,

Please note that PR ports/143204 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/143204

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-01-25 07:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Stephen Montgomery-Smith 2010-01-25 13:29:25 UTC
Dear bf,

I am the current maintainer of plotutils.  Would you be interested in 
taking over maintainership of plotutils?  I am happy either way.

If you are interested, I'll just say "yes" to your patch.  Otherwise 
I'll have to check it out, which might take a few days as I am somewhat 
busy this week.

Stephen
Comment 4 b. f. 2010-01-25 14:15:50 UTC
On 1/25/10, Stephen Montgomery-Smith <stephen@missouri.edu> wrote:
> Dear bf,
>
> I am the current maintainer of plotutils.  Would you be interested in
> taking over maintainership of plotutils?  I am happy either way.
>
> If you are interested, I'll just say "yes" to your patch.  Otherwise
> I'll have to check it out, which might take a few days as I am somewhat
> busy this week.
>
> Stephen
>

Well, if you really feel overburdened, I'll take it over rather than
see it orphaned.  But I don't think a few days is going to matter in
this case.

Regards,
                b.
Comment 5 Stephen Montgomery-Smith 2010-01-25 14:40:39 UTC
b. f. wrote:
> On 1/25/10, Stephen Montgomery-Smith<stephen@missouri.edu>  wrote:
>> Dear bf,
>>
>> I am the current maintainer of plotutils.  Would you be interested in
>> taking over maintainership of plotutils?  I am happy either way.
>>
>> If you are interested, I'll just say "yes" to your patch.  Otherwise
>> I'll have to check it out, which might take a few days as I am somewhat
>> busy this week.
>>
>> Stephen
>>
>
> Well, if you really feel overburdened, I'll take it over rather than
> see it orphaned.  But I don't think a few days is going to matter in
> this case.
>
> Regards,
>                  b.

It won't be orphaned.  Only take it if you want to.
Comment 6 Wesley Shields freebsd_committer 2010-01-25 20:07:57 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 b. f. 2010-01-25 22:29:12 UTC
On 1/25/10, wxs@freebsd.org <wxs@freebsd.org> wrote:
> Synopsis: [PATCH]graphics/plotutils: update to 2.6, add a regression-test
> target, minor fixes
>
> State-Changed-From-To: feedback->closed
> State-Changed-By: wxs
> State-Changed-When: Mon Jan 25 20:07:57 UTC 2010
> State-Changed-Why:
> Committed. Thanks!
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=143204
>

Hmmm.  Has this really been committed?  I can't see any changes via

http://www.FreeBSD.org/cgi/cvsweb.cgi/ports/graphics/plotutils/

even though the times in this message suggest that it went in several
hours ago...

b.
Comment 8 Wesley Shields freebsd_committer 2010-01-25 22:59:09 UTC
State Changed
From-To: closed->open

Reopen and assign to me. Closed by mistake. 



Comment 9 Wesley Shields freebsd_committer 2010-01-25 22:59:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

Reopen and assign to me. Closed by mistake.
Comment 10 Wesley Shields freebsd_committer 2010-01-25 23:00:23 UTC
On Mon, Jan 25, 2010 at 05:29:12PM -0500, b. f. wrote:
> On 1/25/10, wxs@freebsd.org <wxs@freebsd.org> wrote:
> > Synopsis: [PATCH]graphics/plotutils: update to 2.6, add a regression-test
> > target, minor fixes
> >
> > State-Changed-From-To: feedback->closed
> > State-Changed-By: wxs
> > State-Changed-When: Mon Jan 25 20:07:57 UTC 2010
> > State-Changed-Why:
> > Committed. Thanks!
> >
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=143204
> >
> 
> Hmmm.  Has this really been committed?  I can't see any changes via
> 
> http://www.FreeBSD.org/cgi/cvsweb.cgi/ports/graphics/plotutils/
> 
> even though the times in this message suggest that it went in several
> hours ago...

It was not committed. I meant to assign the PR to myself and ended up
closing it. My apologies for the confusion. I have re-opened it and
assigned it to myself now.

-- WXS
Comment 11 Stephen Montgomery-Smith 2010-01-26 02:30:37 UTC
I approve of the changes.  I tried it out, and it seems to work great.
Comment 12 Wesley Shields freebsd_committer 2010-01-26 14:28:30 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 13 dfilter service freebsd_committer 2010-01-26 14:28:35 UTC
wxs         2010-01-26 14:28:22 UTC

  FreeBSD ports repository

  Modified files:
    graphics/plotutils   Makefile distinfo pkg-plist 
  Log:
  - Update to 2.6
  - Respect CPPFLAGS and LDFLAGS
  - Add a test: target
  
  PR:             ports/143204
  Submitted by:   bf <bf1783@gmail.com>
  Approved by:    Stephen Montgomery-Smith <stephen@missouri.edu> (maintainer)
  
  Revision  Changes    Path
  1.41      +6 -3      ports/graphics/plotutils/Makefile
  1.10      +3 -3      ports/graphics/plotutils/distinfo
  1.9       +5 -6      ports/graphics/plotutils/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"